#ifndef SETTINGS_H
#define SETTINGS_H

#include "common.h"

#define SETTINGS_FILENAME "data/settings.dat"
#define SPEED_VOLUME_CHANGE 14

extern void  Settings_Init(void);
extern void  Settings_Load(void);
extern void  Settings_Save(void);
extern void  Settings_SetVolume(Uint8 volume);
extern void  Settings_SetFullscreen(bool fullscreen);
extern Uint8 Settings_GetVolume(void);
extern bool  Settings_GetFullscreen(void);

#endif
